X2Go Bug report logs - #1159
PyHoca CLI: semaphore released too many times error

Package: pyhoca-cli; Maintainer for pyhoca-cli is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-cli is src:pyhoca-cli.

Reported by: Michael Ledin <m.ledin@appheads.ru>

Date: Thu, 16 Mar 2017 19:10:02 UTC

Severity: normal

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1159; Package pyhoca-cli. (Thu, 16 Mar 2017 19:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael Ledin <m.ledin@appheads.ru>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 16 Mar 2017 19:10:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael Ledin <m.ledin@appheads.ru>
To: submit@bugs.x2go.org
Subject: PyHoca CLI: semaphore released too many times error
Date: Thu, 16 Mar 2017 22:06:44 +0300
Package: pyhoca-cli

Version: 0.5.0.2


I'm using Archlinux and installed pyhoca-cli package from AUR.

Previously I used x2goclient and created several profiles there. Also I 
tried to use pyhoca-gui but it has the same error (bug #1158).

I start x2go desktop session with:


pyhoca-cli -P 20170316113957420 -d


It starts successfully with log:

pyhoca-cli[12140] NOTICE: preparing requested X2Go session
pyhoca-cli[12140] (PyHocaCLI) NOTICE: preparing requested X2Go session
pyhoca-cli[12140] (x2gosessregistry-pylib) NOTICE: registering X2Go 
session AppHeads WAN...
pyhoca-cli[12140] (x2goclient-pylib) NOTICE: initializing X2Go session...
pyhoca-cli[12140] (x2gocontrolsession-pylib) NOTICE: connecting to 
[my.server.here]:22
pyhoca-cli[12140] (PyHocaCLI) NOTICE: give the X2Go session some time to 
come up...
pyhoca-cli[12140] (PyHocaCLI) INFO: X2Go session is now running, the 
X2Go client's profile name is: AppHeads WAN
pyhoca-cli[12140] (PyHocaCLI) INFO: X2Go session name is: 
appheads-50-1489690847_stDXFCE_dp24
pyhoca-cli[12140] (PyHocaCLI) NOTICE: Press CTRL+C to suspend the 
running session...


Then I press Ctrl+C and get an error:

^CKeyboardInterrupt
Thu Mar 16 22:01:04 2017
pyhoca-cli[12140] (PyHocaCLI) INFO: Suspending X2Go session 
appheads-50-1489690847_stDXFCE_dp24
Traceback (most recent call last):
  File "/usr/bin/pyhoca-cli", line 423, in <module>
    thisPyHocaCLI.MainLoop()
  File "/usr/lib/python2.7/site-packages/pyhoca/cli/frontend.py", line 
601, in MainLoop
    self._X2GoClient__suspend_session(self.x2go_session_hash)
  File "/usr/lib/python2.7/site-packages/x2go/client.py", line 1620, in 
suspend_session
    return self.session_registry(session_uuid).suspend(**sessionopts)
  File "/usr/lib/python2.7/site-packages/x2go/session.py", line 2303, 
in suspend
    self._lock.release()
  File "src/gevent/_semaphore.py", line 266, in 
gevent._semaphore.BoundedSemaphore.release 
(src/gevent/gevent._semaphore.c:5353)
  File "src/gevent/_semaphore.py", line 268, in 
gevent._semaphore.BoundedSemaphore.release 
(src/gevent/gevent._semaphore.c:5291)
thread.error: Semaphore released too many times


if then I'll try to resume the session (I get it name from "pyhoca-cli 
-P 20170316113957420 -L"):


pyhoca-cli -P 20170316113957420 -R appheads-50-1489690847_stDXFCE_dp24


then sometimes I get the same error as above.


--

Michael Ledin




Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1159; Package pyhoca-cli. (Mon, 15 Jan 2024 21:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 Jan 2024 21:05:02 GMT) (full text, mbox, link).


Message #10 received at 1159@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael Ledin <m.ledin@appheads.ru>, 1159@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1159: PyHoca CLI: semaphore released too many times error
Date: Mon, 15 Jan 2024 21:04:30 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

Hi Michael,

On  Do 16 Mär 2017 20:06:44 CET, Michael Ledin wrote:

> Package: pyhoca-cli
>
> Version: 0.5.0.2
>
>
> I'm using Archlinux and installed pyhoca-cli package from AUR.
>
> Previously I used x2goclient and created several profiles there.  
> Also I tried to use pyhoca-gui but it has the same error (bug #1158).
>
> I start x2go desktop session with:
>
>
> pyhoca-cli -P 20170316113957420 -d
>
>
> It starts successfully with log:
>
> pyhoca-cli[12140] NOTICE: preparing requested X2Go session
> pyhoca-cli[12140] (PyHocaCLI) NOTICE: preparing requested X2Go session
> pyhoca-cli[12140] (x2gosessregistry-pylib) NOTICE: registering X2Go  
> session AppHeads WAN...
> pyhoca-cli[12140] (x2goclient-pylib) NOTICE: initializing X2Go session...
> pyhoca-cli[12140] (x2gocontrolsession-pylib) NOTICE: connecting to  
> [my.server.here]:22
> pyhoca-cli[12140] (PyHocaCLI) NOTICE: give the X2Go session some  
> time to come up...
> pyhoca-cli[12140] (PyHocaCLI) INFO: X2Go session is now running, the  
> X2Go client's profile name is: AppHeads WAN
> pyhoca-cli[12140] (PyHocaCLI) INFO: X2Go session name is:  
> appheads-50-1489690847_stDXFCE_dp24
> pyhoca-cli[12140] (PyHocaCLI) NOTICE: Press CTRL+C to suspend the  
> running session...
>
>
> Then I press Ctrl+C and get an error:
>
> ^CKeyboardInterrupt
> Thu Mar 16 22:01:04 2017
> pyhoca-cli[12140] (PyHocaCLI) INFO: Suspending X2Go session  
> appheads-50-1489690847_stDXFCE_dp24
> Traceback (most recent call last):
>   File "/usr/bin/pyhoca-cli", line 423, in <module>
>     thisPyHocaCLI.MainLoop()
>   File "/usr/lib/python2.7/site-packages/pyhoca/cli/frontend.py",  
> line 601, in MainLoop
>     self._X2GoClient__suspend_session(self.x2go_session_hash)
>   File "/usr/lib/python2.7/site-packages/x2go/client.py", line 1620,  
> in suspend_session
>     return self.session_registry(session_uuid).suspend(**sessionopts)
>   File "/usr/lib/python2.7/site-packages/x2go/session.py", line  
> 2303, in suspend
>     self._lock.release()
>   File "src/gevent/_semaphore.py", line 266, in  
> gevent._semaphore.BoundedSemaphore.release  
> (src/gevent/gevent._semaphore.c:5353)
>   File "src/gevent/_semaphore.py", line 268, in  
> gevent._semaphore.BoundedSemaphore.release  
> (src/gevent/gevent._semaphore.c:5291)
> thread.error: Semaphore released too many times
>
>
> if then I'll try to resume the session (I get it name from  
> "pyhoca-cli -P 20170316113957420 -L"):
>
>
> pyhoca-cli -P 20170316113957420 -R appheads-50-1489690847_stDXFCE_dp24
>
>
> then sometimes I get the same error as above.

Unfortunately, I know too little about what version of gevent and so  
on is in ArchLinux. Sorry for not having responded to this any earlier.

On recent Debian I haven't noticed such an issue, but I know from the  
past that we had such an issue.

I will close this issue now in the process of migrating of X2Go BTS to  
X2Go GitLab's isssue tracker.

light+love
Mike

-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1159-submit@bugs.x2go.org. (Mon, 15 Jan 2024 21:05:07 GMT) (full text, mbox, link).


Notification sent to Michael Ledin <m.ledin@appheads.ru>:
Bug acknowledged by developer. (Mon, 15 Jan 2024 21:05:08 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 13 Feb 2024 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Mar 3 09:19:17 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.